Bug 2022610 - Annocheck fails due incorrect flags during compilation/linking
Summary: Annocheck fails due incorrect flags during compilation/linking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-12 07:25 UTC by Zdenek Dohnal
Modified: 2021-11-29 01:10 UTC (History)
2 users (show)

Fixed In Version: cups-2.3.3op2-10.fc35 cups-2.3.3op2-10.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-15 05:47:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2021-11-12 07:25:33 UTC
This bug was initially created as a copy of Bug #2022365

I am copying this bug because: 



annocheck reports the following errors:

Hardened: /usr/lib64/libcupsimage.so.2: FAIL: fortify test because no indication that the necessary option was used (and a C compiler was detected) 
Hardened: /usr/lib64/libcupsimage.so.2: info: For more information visit: https://sourceware.org/annobin/annobin.html/Test-fortify.html

Hardened: /usr/lib64/libcupsimage.so.2: FAIL: warnings test because no indication that the necessary option was used (and a C compiler was detected) 
Hardened: /usr/lib64/libcupsimage.so.2: info: For more information visit: https://sourceware.org/annobin/annobin.html/Test-warnings.html

Hardened: /usr/lib64/libcupsimage.so.2: FAIL: stack-prot test because insufficient protection enabled 
Hardened: /usr/lib64/libcupsimage.so.2: info: For more information visit: https://sourceware.org/annobin/annobin.html/Test-stack-prot.html

And the following warning is shown when I run annocheck in 1mt:

Hardened: ./usr/lib/cups/filter/gziptoany: MAYB: test: stack-clash because no notes found regarding this test
Hardened: ./usr/lib/cups/filter/gziptoany: info: For more information visit: https://sourceware.org/annobin/annobin.html/Test-stack-clash.html


I needed to fix -fstack-protector-strong upstream https://github.com/OpenPrinting/cups/pull/285 , and other problems are fixed by adjusting compilation macros:

export DSOFLAGS="$DSOFLAGS $RPM_LD_FLAGS"
export CFLAGS="$CFLAGS $RPM_OPT_FLAGS -DLDAP_DEPRECATED=1"
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DLDAP_DEPRECATED=1"
export LDFLAGS="$LDFLAGS $RPM_LD_FLAGS -Wall -fstack-clash-protection -D_FORTIFY_SOURCE=2"

Comment 1 Fedora Update System 2021-11-12 08:01:24 UTC
FEDORA-2021-b878f6c79d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b878f6c79d

Comment 2 Fedora Update System 2021-11-12 08:14:08 UTC
FEDORA-2021-d114176c57 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d114176c57

Comment 3 Fedora Update System 2021-11-14 02:26:47 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d114176c57`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d114176c57

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-11-14 02:39:46 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b878f6c79d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b878f6c79d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-15 05:47:23 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-11-29 01:10:18 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.